Last Comment Bug 776369 - java.lang.NullPointerException: at org.mozilla.gecko.FontSizePreference.setPreviewFontViewWidth(FontSizePreference.java)
: java.lang.NullPointerException: at org.mozilla.gecko.FontSizePreference.setPr...
Status: RESOLVED FIXED
[native-crash]
: crash, regression
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- critical (vote)
: Firefox 17
Assigned To: Michael Comella (:mcomella) [not actively working on fennec: expect slow responses]
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 715179
  Show dependency treegraph
 
Reported: 2012-07-22 09:58 PDT by Scoobidiver (away)
Modified: 2016-07-29 14:28 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed


Attachments
Patch (1.52 KB, patch)
2012-07-23 12:55 PDT, Michael Comella (:mcomella) [not actively working on fennec: expect slow responses]
bnicholson: review+
Details | Diff | Splinter Review

Description Scoobidiver (away) 2012-07-22 09:58:03 PDT
There's one crash in 17.0a1/20120722: bp-885ad9fc-7e17-46d3-a24d-f365a2120722.
It might be a regression from bug 715179.

java.lang.NullPointerException
	at org.mozilla.gecko.FontSizePreference.setPreviewFontViewWidth(FontSizePreference.java:202)
	at org.mozilla.gecko.FontSizePreference.onConfigurationChanged(FontSizePreference.java:140)
	at org.mozilla.gecko.GeckoPreferences.onConfigurationChanged(GeckoPreferences.java:70)
	at android.app.ActivityThread.performConfigurationChanged(ActivityThread.java:3062)
	at android.app.ActivityThread.handleConfigurationChanged(ActivityThread.java:3186)
	at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1012)
	at android.os.Handler.dispatchMessage(Handler.java:99)
	at android.os.Looper.loop(Looper.java:130)
	at android.app.ActivityThread.main(ActivityThread.java:3835)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:507)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:864)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:622)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.FontSizePreference.setPreviewFontViewWidth%28FontSizePreference.java%29
Comment 1 Aaron Train [:aaronmt] 2012-07-23 07:34:15 PDT
Definitely a regression from bug 715179.
Comment 2 Michael Comella (:mcomella) [not actively working on fennec: expect slow responses] 2012-07-23 12:55:10 PDT
Created attachment 645032 [details] [diff] [review]
Patch

Bug can be repo'd by changing device orientation in the Preferences menu before opening the FontSizePreference dialog.

The fix is to make sure the dialog has been opened first (by making sure its main component is initialized) before calling the associated code to modify the dialog on rotation change.
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-07-23 17:04:25 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/5d5e27214a62
Comment 4 Ed Morley [:emorley] 2012-07-24 02:58:13 PDT
https://hg.mozilla.org/mozilla-central/rev/5d5e27214a62

Note You need to log in before you can comment on or make changes to this bug.